# mem0x
Memory engine of SunAgent

## Pre-dependency

* Miniconda

```
mkdir -p ~/miniconda3
wget https://repo.anaconda.com/miniconda/Miniconda3-latest-Linux-x86_64.sh -O ~/miniconda3/miniconda.sh
bash ~/miniconda3/miniconda.sh -b -u -p ~/miniconda3
rm ~/miniconda3/miniconda.sh

source ~/miniconda3/bin/activate
conda init --all

```

* Redis-Stack-Server

```
docker run -d --name redis-stack -p 6379:6379 -p 8001:8001 -e REDIS_ARGS="--requirepass mypassword" redis/redis-stack:latest

```

* Others

```
pip install poetry
```

## Install

```
make install\_all
make build
make install dist/mem0x-1.0.0-py3-none-any.whl
```



## Run mem0x

```
mem0x_app
```
